---
title: "Translation for video conferences"
date: 2020-07-23T7:30:00+02:00
draft: false
image: "uploads/bbb_logo_rund.jpeg"
categories: ['english']
tags: ['BigBlueButton', 'english', 'translation']
---

Although physical meetings are not possible, many groups and organizations are dependent on multilingual meetings.
In videoconferencing, concepts such as a whispered translation are not intuitive. Therefore a friend and I have developed a concept for translation in videoconferencing.
The concept was planned for a conference with 80 participants who will discuss and make decisions over two days either in large groups or in sub-groups. 
The videoconferencing software that was used was BigBlueButton (BBB).

# Translation via subtitles

BBB offers the possibility to write subtitles simultaneously to video conferencing.
This feature is especially aimed at hearing impaired people. 
For translation, one person would translate and type in one language at a time.
Due to the limited typing speed, this procedure is associated with large losses of content.
However, it is a great option for hearing-impaired people and can be combined with a simultaneous oral translation.

# Simultaneous translation

The concept of simultaneous translation is based on the fact that there is a seperate BBB-room for each language. These are communicated to the participants in advance.

The room whose language most of the participants speak will be the main room. People who do not speak the language of the main room will still join it, as moderation tasks and the presentation will be only in this room.

All statements in the main room will be translated by overseers in the other rooms. The translators should be present in the main room with the microphone switched off. If a person from a secondary room wants to speak they indicate this in the chat of the  main room, - preferably with "\* (language)". They will then be allowed to speak by the moderator and speak in their respective room. The translator will unmute their microphone in the main room and translates to the primar language.

## Breakout Rooms

Breakput rooms are often formed to debate in smaller groups.
To ensure a reasonable amount of translation effort, all participants and translators of one language are assigned to one breakout room (in the main room).
If the Breakout Rooms become too full, Breakout Rooms can also be formed in the secondary rooms, but translators are then required for each room.

# Tips and tricks
- Use two translators per language. One person cannot do this even at a moderate speed of discussion. It also allows for better reproduction of conversations by alternating the translators.
- Ask participants to set their names according to the "Name \[pronouns\] \(language\)" scheme. This makes it easier for moderation and translators.
- Participants do not need to join the audio in the main room, but they can, so that their contributions can be heard in the original. However, they should mute the browser window of the main room.

# Conclusion

Whispered translation is possible in BBB; in order to use it, the possibility must be announced in good time by the moderator and enough translators must be found. The concept of oral translation has already proven itself at a large meeting.

If you are interested in implementing the concept you are welcome to contact me at fluesteruebersetzung@hyteck.de
