---
title: "Travelling around Jericoacoara"
date: 2020-02-01T18:00:00+01:00
draft: false
image: "uploads/brazil/jeri_sunset.jpg"
categrories: [English]
tags: ['travel']
---

# TL;DR
Jeri to Sao Luis is hard by bus. Try the route Jericoacoara -> Jijoca -> Camocim -> Paranaiba -> Sao Luis

# Introduction: From Fortaleza to Jericoacoara
As my girlfriend and I were traveling from Salvador
to Sao Luis we mostly relied on bus connections.
Nevertheless we had some difficulties getting from 
the beautiful town of Jericoacoara 
to the trip's last station Sao Luis.

## Jericoacoara

Jericoacoara is a town surrounded by a 
National Park. Therefore anyone visiting Jericoacoara
has to use an authorized vehicle to make the last part of
the trip from Jijoca de Jericoacoara 
to Jericoacoara itself. The vehicles that
make this trip must be off-roaders so mainly the 
so called D-20 or Buggys are used.
![Picture of a D-20 with caracteristic back seats](https://hyteck.de/uploads/brazil/D-20.jpg)
The trip takes approximately 50 minutes and
should cost not more than 25 real per person.

On our way to Jeri we drove by bus from Fortaleza to Jijoca.
At the stop in Jijoca there were already Jeeps waiting for us.
The bus company *Expresso Guanabara* which operated the bus to Jijoca offered
to buy tickets from Jijoca to Jericoacoara for 30 real.
After paying the tourist fee (5 real per person and night) we drove through forest,
dunes and some annoyed donkeys to Jeri. The driver dropped us
directly at the Pousada where we stayed.

# From Jericoacoara to Sao Luis

In Jeri we realized that it would be not as easy as we thought to
travel to Sao Luis as there was no bus going west from Jijoca.
After some research we found the following solution:

## 1. 8:00 am Jericoacoara -> Jijoca

We waited at the main
street in the city center for a Jeep to Jijoca.
There are also several wooden benches around the city where
drivers with Jeeps that are not yet full pick up people.
Ask in your accomodation!
The trip takes about 50 minutes. People will get of at
different locations in Jijoca, tell the driver 
you want to go to Camocim! 

## 2. 9:45 am Jijoca -> Camocim

From Jijoca there are regular busses to Camocim,
a town further west. The bus stop is not well known,
you will recognize it by the sign in the following picture 
and people waiting. Next to the stop is a small cafe, perfect 
for breakfast or buying some water. [Link to the exact location of departure](https://www.openstreetmap.org/#map=18/-2.89648/-40.44852)


| Journey          |   Manhã (Morning)  | Tarde (Afternoon) |
| ---              | ---                | ---               |
|Jijoca -> Camocim | 7:00, 8:00, 9:45   | 1:40, 4:00, 6:30  |
|Camocim -> Jijoca | 5:00, 6:30, 8:30, 11:00 | 1:15, 5:30    |
|Jijoca -> Prea.   | 6:45, 8:15, 11:15  | 12:45, 3:00, 7:20 |

Do not be late! The bus is mainly taken by locals and can be very full.
There is only limited space for luggage in the back. There is no seat reservation.

If you are not alone: Let one person reserve seats and 
the other person cares about the luggage.
The trip is 17.25 real per person which will be paid during the drive.
Camocim is the last stop. We arrived at 11:20 at the 
[Prefeitura de Camocim](https://www.openstreetmap.org/node/6357083486#map=18/-2.89992/-40.84264), the last of three stops in Camocim.
From there it is ~500m to the [Terminal Rodoviário de Camocim](https://www.openstreetmap.org/way/130660923#map=18/-2.90019/-40.84664).
A nice bus driver might take you there (without charging extra).

It seems that there are two companies operating
busses to Camocim and that the other 
company appareantly has also a bus at 11:30.
Taking this bus would reduce your time waiting in Camocim.
Nevertheless we did NOT try this so the risk is yours.

If you tried it let me know: [E-Mail](mailto:brazil-trip2020@hyteck.de)

## 3. 3:20 pm Camocim -> Parnaìba

In Camocim we waited for the 3:20 pm bus to Paranaíba operated
by *Expresso Guanabara*. The Terminal has WiFi, bathrooms and a small restaurant 
offering a typical buffet and cold drinks. 
Opposite the street there is a burger shop with inexpensive Burgers.
There was always an employee present in the small office of *Expresso Guanabara*

The bus ride has to be pre-booked. The best website for finding booking options
 is [buscaonibus.com.br](https://www.buscaonibus.com.br/en) which will 
provide links to booking sites like [Busbud](https://www.busbud.com/) or [BrazilByBus](https://brazilbybus.com).

**Attention: This bus is not listed on Busbud!**

## 4. 21:00 Parnaìba -> Sao Luis

From Paranaíba to Sao Luis there are two busses each day, one at 9 am one at 9 pm.
Therefore this city can be a good place for some rest after the already long journey.
After getting some sleep you can continue the trip in the morning.
Those that want to reach Sao Luis as fast as possible should
wait at the Terminal for the 9pm connection. 
It reaches Sao Luis at around 6:30. The bus has "normal" seats and the 
*leito* (bed) option. It is not an actual bed, but a very comfortable seat in the lower deck
that can be leaned far back. You feel bumps significantly less in the upper deck.  Furthermore this option provides
you with the possibility to recharge your phones via USB. 
The WiFi is a game of luck as in all other busses :)

Important: Overnight busses mostly arrive too early - 30 minutes up to two hours.
My strategy for getting off at the right station was to set an alarm 90 minutes before
scheduled arrival and then check the position on an offline map and setting an alarm accordingly
the bathroom will be used frequently in the morning - plan some waiting time.

You will arrive at the [Terminal Rodoviario do Sao Luís](https://www.openstreetmap.org/#map=18/-2.56357/-44.24477)

The bus ride also has to be pre-booked. Check on [buscaonibus.com.br](https://www.buscaonibus.com.br/en).

# Improve this

I hope this helps you when planning your trip.

If you tried this trip yourself or if you have 
any comment or questions let me know: [E-Mail](mailto:brazil-trip2020@hyteck.de)


# Further information:

* Site for booking of bus connections [buscaonibus.com.br](https://www.buscaonibus.com.br/en)

# PS

This is not a travel blog or anything.
I just found it hard to navigate this trip an thought this might help others.
So this is more a tutorial that got out of hand :)
